# Tests need additional artifacts that are missing from the sources
%bcond check 0

Name:           python-jschon
Version:        0.11.1
Release:        %autorelease
Summary:        JSON toolkit for Python developers

License:        MIT
URL:            https://github.com/marksparkza/jschon
Source:         %{pypi_source jschon}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed

%global _description %{expand:
This package provides an object-oriented JSON Schema implementation for
Python.}

%description %_description

%package -n     python3-jschon
Summary:        %{summary}

%description -n python3-jschon %_description

%pyproject_extras_subpkg -n python3-jschon requests

%prep
%autosetup -p1 -n jschon-%{version}

# Unpin hypothesis
sed -i "s:'hypothesis<.*',:'hypothesis',:" setup.py

%generate_buildrequires
%pyproject_buildrequires -x dev,requests,test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jschon

%check
%if %{with check}
%pytest
%else
%pyproject_check_import
%endif

%files -n python3-jschon -f %{pyproject_files}
%doc README.rst CHANGELOG.rst

%changelog
%autochangelog
